net.sf.cglib.core

## Class MethodInfo

- java.lang.Object
- - net.sf.cglib.core.MethodInfo

-     public abstract class MethodInfo
      extends java.lang.Object

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `abstract ClassInfo` | `getClassInfo()`
    `abstract Type[]` | `getExceptionTypes()`
    `abstract int` | `getModifiers()`
    `abstract Signature` | `getSignature()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getClassInfo

          public abstract ClassInfo getClassInfo()

    - #### getModifiers

          public abstract int getModifiers()

    - #### getSignature

          public abstract Signature getSignature()

    - #### getExceptionTypes

          public abstract Type[] getExceptionTypes()

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright (c) 2001 - Apache Software Foundation